#### Previous topic

scipy.optimize.OptimizeWarning

#### Next topic

minimize(method=’Powell’)

# minimize(method=’Nelder-Mead’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='Nelder-Mead', tol=None, callback=None, options={'disp': False, 'maxiter': None, 'return_all': False, 'func': None, 'maxfev': None, 'xtol': 0.0001, 'ftol': 0.0001})

  Minimization of scalar function of one or more variables using the Nelder-Mead algorithm.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  disp : bool

  > Set to True to print convergence messages.

  xtol : float

  > Relative error in solution xopt acceptable for convergence.

  ftol : float

  > Relative error in `fun(xopt)` acceptable for convergence.

  maxiter : int

  > Maximum number of iterations to perform.

  maxfev : int

  > Maximum number of function evaluations to make.